> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Set up Omnichannel webhook

> Set up a [webhook](https://docs.rocket.chat/docs/webhooks) to easily integrate Omnichannel with your CRM. Permission required: `view-livechat-manager`.

## OpenAPI

````json POST /api/v1/omnichannel/integrations
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Omnichannel"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Omnichannel Users"
    },
    {
      "name": "Omnichannel Agents"
    },
    {
      "name": "Omnichannel Monitors"
    },
    {
      "name": "Omnichannel Visitors"
    },
    {
      "name": "Omnichannel Contacts"
    },
    {
      "name": "Omnichannel Rooms"
    },
    {
      "name": "Omnichannel Departments"
    },
    {
      "name": "Omnichannel Custom Fields"
    },
    {
      "name": "Omnichannel Business Hours"
    },
    {
      "name": "Omnichannel Priorities"
    },
    {
      "name": "Omnichannel Tags"
    },
    {
      "name": "Omnichannel Units"
    },
    {
      "name": "SLA Policies"
    },
    {
      "name": "Canned Responses"
    },
    {
      "name": "Omnichannel Transcript"
    },
    {
      "name": "Omnichannel Statistics"
    },
    {
      "name": "Omnichannel Agent Stats"
    },
    {
      "name": "Omnichannel Dashboards"
    },
    {
      "name": "Reports"
    },
    {
      "name": "Omnichannel Inquiries"
    },
    {
      "name": "Omnichannel Webhooks"
    },
    {
      "name": "Livechat"
    },
    {
      "name": "Livechat Appearance"
    },
    {
      "name": "Livechat Triggers"
    },
    {
      "name": "Livechat Messages"
    },
    {
      "name": "Livechat Page Visited"
    }
  ],
  "paths": {
    "/api/v1/omnichannel/integrations": {
      "post": {
        "summary": "Set up Omnichannel webhook",
        "responses": {
          "200": {
            "$ref": "#/components/responses/trueSuccess"
          }
        },
        "operationId": "post-api-v1-omnichannel-integrations",
        "tags": [
          "Omnichannel Webhooks"
        ],
        "description": "Set up a [webhook](https://docs.rocket.chat/docs/webhooks) to easily integrate Omnichannel with your CRM. Permission required: `view-livechat-manager`.",
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthToken"
          },
          {
            "$ref": "#/components/parameters/UserId"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "LivechatWebhookUrl": {
                    "type": "string",
                    "description": "The destination webhook URL where the data will be sent."
                  },
                  "LivechatSecretToken": {
                    "type": "string",
                    "description": "A secret token that can be used to verify the webhook."
                  },
                  "LivechatHttpTimeout": {
                    "type": "integer",
                    "description": "The request timeout value"
                  },
                  "LivechatWebhookOnStart": {
                    "type": "boolean",
                    "description": "When set to true, data is sent to the configured webhook URL each time a new chat starts."
                  },
                  "LivechatWebhookOnClose": {
                    "type": "boolean",
                    "description": "When set to true, data is sent to the configured webhook URL each time a chat is closed."
                  },
                  "LivechatWebhookOnChatTaken": {
                    "type": "boolean",
                    "description": "When set to true, data is sent to the configured webhook URL each time a chat is taken."
                  },
                  "LivechatWebhookOnChatQueued": {
                    "type": "boolean",
                    "description": "When set to true, data is sent to the configured webhook URL each time a chat is queued."
                  },
                  "LivechatWebhookOnForward": {
                    "type": "boolean",
                    "description": "When set to true, data is sent to the configured webhook URL each time a chat is forwarded."
                  },
                  "LivechatWebhookOnOfflineMsg": {
                    "type": "boolean",
                    "description": "When set to true, data is sent to the configured webhook URL each time offline messages are sent."
                  },
                  "LivechatWebhookOnVisitorMessage": {
                    "type": "boolean",
                    "description": "When set to true, data is sent to the configured webhook URL each time a visitor sends a message."
                  },
                  "LivechatWebhookOnAgentMessage": {
                    "type": "boolean",
                    "description": "When set to true, data is sent to the configured webhook URL each time an agent sends a message."
                  }
                }
              },
              "examples": {
                "WebhookData": {
                  "value": {
                    "LivechatWebhookUrl": "https://webhook/d548683u3-7f38ow-48ba-ieooefa-oejiduiw",
                    "LivechatSecretToken": "",
                    "LivechatHttpTimeout": "5000",
                    "LivechatWebhookOnStart": "true",
                    "LivechatWebhookOnClose": "true",
                    "LivechatWebhookOnChatTaken": "true",
                    "LivechatWebhookOnChatQueued": "false",
                    "LivechatWebhookOnForward": "false",
                    "LivechatWebhookOnOfflineMsg": "true",
                    "LivechatWebhookOnVisitorMessage": "true",
                    "LivechatWebhookOnAgentMessage": "true"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "responses": {
      "trueSuccess": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                }
              }
            },
            "examples": {
              "Success": {
                "value": {
                  "success": "true"
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "AuthToken": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      }
    }
  }
}
````

